Skip to Content
Cogwheel DocsCogwheel Docs
ApiV2betaPathfinder.v2beta.pathfinderqueryservice

ListSupportedChains

ListSupportedChains returns a list of supported chains

POST/pathfinder.v2beta.PathfinderQueryService/ListSupportedChains

Header Parameters

Connect-Protocol-Version*1

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?Connect-Timeout-Ms

Define the timeout, in ms

Request Body

  1. body

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

 service Foo {   rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

Response Body

Success

  1. response
chain_ids*array<string>
Example Request
curl -X POST 'https://example.com/pathfinder.v2beta.PathfinderQueryService/ListSupportedChains' \  -H 'Connect-Protocol-Version: 1' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "chain_ids": [    "string"  ]}